package klassen;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Beschreibung
 * @version  1.0 vom 28.06.2016
 * @author
 */

public class Hauptfenster extends JFrame {
  /**
	 * 
	 */
	private static final long serialVersionUID = -8614786231791142994L;
// Anfang Attribute
  private JLabel lbTitel = new JLabel();
  private JLabel lbIcon = new JLabel();
  private JLabel lbFilalnummer = new JLabel();
  private JTextField tfFilialnummer = new JTextField();
  private JLabel lbFilialname = new JLabel();
  private JTextField tfFilialname = new JTextField();
  private JButton btMinimalumsatz = new JButton();
  private JButton btDurchschnitt = new JButton();
  private JButton btMaximalumsatz = new JButton();
  private JTextField tfErgebnis = new JTextField();
  private JLabel lbErgebnis = new JLabel();
  
  //Assoziation
  /**
 * @uml.property  name="dieFiliale"
 * @uml.associationEnd  
 */
Filiale dieFiliale = new Filiale();
  // Ende Attribute
  
  public Hauptfenster(String title) { 
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 571; 
    int frameHeight = 405;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    
    cp.setBackground(Color.WHITE);
    lbTitel.setBounds(16, 8, 323, 97);
    lbTitel.setText("Filialumstze");
    lbTitel.setIcon(new ImageIcon(Hauptfenster.class.getResource("/klassen/ic_launcher.png")));
    lbTitel.setFont(new Font("Dialog", Font.BOLD, 24));
    cp.add(lbTitel);
    lbIcon.setBounds(368, 320, 179, 41);
    lbIcon.setText("");
    lbIcon.setIcon(new ImageIcon(Hauptfenster.class.getResource("/klassen/logo_final.png")));
    cp.add(lbIcon);
    lbFilalnummer.setBounds(16, 120, 123, 41);
    lbFilalnummer.setText("Filialnummer:");
    cp.add(lbFilalnummer);
    tfFilialnummer.setBounds(152, 120, 185, 41);
    tfFilialnummer.setText("tfFilialnummer");
    cp.add(tfFilialnummer);
    lbFilialname.setBounds(16, 184, 131, 41);
    lbFilialname.setText("Filialname:");
    cp.add(lbFilialname);
    tfFilialname.setBounds(152, 184, 185, 41);
    tfFilialname.setText("tfFilialname");
    cp.add(tfFilialname);
    btMinimalumsatz.setBounds(16, 240, 169, 41);
    btMinimalumsatz.setText("Minimalumsatz ermitteln");
    btMinimalumsatz.setMargin(new Insets(2, 2, 2, 2));
    btMinimalumsatz.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        btMinimalumsatz_ActionPerformed(evt);
      }
    });
    cp.add(btMinimalumsatz);
    btDurchschnitt.setBounds(192, 240, 169, 41);
    btDurchschnitt.setText("Durchschnitt berechnen");
    btDurchschnitt.setMargin(new Insets(2, 2, 2, 2));
    btDurchschnitt.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        btDurchschnitt_ActionPerformed(evt);
      }
    });
    cp.add(btDurchschnitt);
    btMaximalumsatz.setBounds(368, 240, 177, 41);
    btMaximalumsatz.setText("Maximalumsatz ermitteln");
    btMaximalumsatz.setMargin(new Insets(2, 2, 2, 2));
    btMaximalumsatz.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        btMaximalumsatz_ActionPerformed(evt);
      }
    });
    cp.add(btMaximalumsatz);
    tfErgebnis.setBounds(88, 312, 209, 41);
    tfErgebnis.setText("tfErgebnis");
    tfErgebnis.setBackground(new Color(0xC0C0C0));
    tfErgebnis.setForeground(Color.RED);
    cp.add(tfErgebnis);
    lbErgebnis.setBounds(16, 312, 67, 41);
    lbErgebnis.setText("Ergebnis:");
    cp.add(lbErgebnis);
    // Ende Komponenten
    
    setVisible(true);
  } // end of public Hauptfenster
  
  // Anfang Methoden
  
  public static void main(String[] args) {
    new Hauptfenster("Filialumstze");
  } // end of main
  
  public void btMinimalumsatz_ActionPerformed(ActionEvent evt) {
    //Eingabe
	  
	//Verarbeitung
	  dieFiliale.ermittleMinimum();
	//Ausgabe
	  this.schreibeErgebnis();
	  
  } // end of btMinimalumsatz_ActionPerformed

  public void btDurchschnitt_ActionPerformed(ActionEvent evt) {
	    //Eingabe
	  
		//Verarbeitung
	  	dieFiliale.ermittleDurchschnitt();
	  	
		//Ausgabe
	  	this.schreibeErgebnis();
  } // end of btDurchschnitt_ActionPerformed

  public void btMaximalumsatz_ActionPerformed(ActionEvent evt) {
	    //Eingabe
	  
		//Verarbeitung
		  dieFiliale.ermittleMaximum();
		//Ausgabe
	   this.schreibeErgebnis();
  } // end of btMaximalumsatz_ActionPerformed
  
  
  private void schreibeErgebnis(){
	  tfErgebnis.setText(String.valueOf(dieFiliale.getErgebnis()));
  }

  // Ende Methoden
} // end of class Hauptfenster
